Get bulk email validation job
curl --request GET \
--url https://api.mailglyph.com/v1/verify/files/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailglyph.com/v1/verify/files/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailglyph.com/v1/verify/files/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/v1/verify/files/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/v1/verify/files/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mailglyph.com/v1/verify/files/{jobId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/v1/verify/files/{jobId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "8a607588-1d7c-4d4f-9807-2a625fb20b14",
"status": "COMPLETED",
"originalFilename": "emails_list_input.csv",
"fileSizeBytes": 234,
"localEmailCount": 6,
"reservedCredits": 3,
"confirmedEmailCount": 6,
"creditUsed": 3,
"valid": 2,
"invalid": 1,
"unknown": 0,
"catchall": 0,
"duplicates": 2,
"spamTrap": 0,
"toxicDomains": 0,
"readyForDownload": true,
"errorCode": null,
"errorMessage": null,
"lastValidationStatus": "finished",
"createdAt": "2026-06-18T10:12:30.000Z",
"updatedAt": "2026-06-18T10:14:05.000Z",
"completedAt": "2026-06-18T10:14:05.000Z"
}
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}Email Validation
Get bulk email validation
Get status, progress, and result statistics for a bulk Email Validation job.
GET
/
v1
/
verify
/
files
/
{jobId}
Get bulk email validation job
curl --request GET \
--url https://api.mailglyph.com/v1/verify/files/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailglyph.com/v1/verify/files/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailglyph.com/v1/verify/files/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/v1/verify/files/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/v1/verify/files/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mailglyph.com/v1/verify/files/{jobId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/v1/verify/files/{jobId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "8a607588-1d7c-4d4f-9807-2a625fb20b14",
"status": "COMPLETED",
"originalFilename": "emails_list_input.csv",
"fileSizeBytes": 234,
"localEmailCount": 6,
"reservedCredits": 3,
"confirmedEmailCount": 6,
"creditUsed": 3,
"valid": 2,
"invalid": 1,
"unknown": 0,
"catchall": 0,
"duplicates": 2,
"spamTrap": 0,
"toxicDomains": 0,
"readyForDownload": true,
"errorCode": null,
"errorMessage": null,
"lastValidationStatus": "finished",
"createdAt": "2026-06-18T10:12:30.000Z",
"updatedAt": "2026-06-18T10:14:05.000Z",
"completedAt": "2026-06-18T10:14:05.000Z"
}
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}Authorizations
API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. Workspaces can have multiple active keys, and sender-domain operations enforce per-key domain scope when configured.

